
// run following codes to get results of figure 2 in the manuscript and figure A2 and A3 in the online appendix

clear

import excel "D:\WMPs\final\Data and Codes 0815\impulse_data.xlsx", sheet("Sheet1") firstrow

set more off

tset Quarter


//Baseline model (figure 2)

matrix A1 = (1,0,0,0,0,0,0\.,1,0,0,0,0,0\.,.,1,0,0,0,0\.,.,.,1,0,0,0\.,.,.,.,1,0,0\.,.,.,.,.,1,0\.,.,.,.,.,.,1)   
matrix B1 = (.,0,0,0,0,0,0\0,.,0,0,0,0,0\0,0,.,0,0,0,0\0,0,0,.,0,0,0\0,0,0,0,.,0,0\0,0,0,0,0,.,0\0,0,0,0,0,0,.)  

svar consumption invest gdp unemp NDP bond_r loan_1y, aeq(A1) beq(B1) lags(1/1) nolog exog(DP TS FR)	//Run a SVAR model 

irf create order1,set(order1,replace) step(20)  //This creats an irf file to save all impulse response 

irf graph sirf, xlabel(0(2)20) irf(order1) yline(0,lcolor(black)) byopts(yrescale colfirst) level(95) //Draw impulse response 

//The first column is the impulse response of macro economic and financial indicators to NDP shock


//Change order: Case I (figure A2 in the online appendix)



clear

import excel "D:\WMPs\final\Data and Codes 0815\impulse_data.xlsx", sheet("Sheet1") firstrow

set more off

tset Quarter


matrix A1 = (1,0,0,0,0,0,0\.,1,0,0,0,0,0\.,.,1,0,0,0,0\.,.,.,1,0,0,0\.,.,.,.,1,0,0\.,.,.,.,.,1,0\.,.,.,.,.,.,1)   
matrix B1 = (.,0,0,0,0,0,0\0,.,0,0,0,0,0\0,0,.,0,0,0,0\0,0,0,.,0,0,0\0,0,0,0,.,0,0\0,0,0,0,0,.,0\0,0,0,0,0,0,.)  

svar invest consumption gdp unemp NDP bond_r loan_1y, aeq(A1) beq(B1) lags(1/1) nolog exog(DP TS FR)	//Run a SVAR model 

irf create order2,set(order2,replace) step(20)  //This creats an irf file to save all impulse response 

irf graph sirf, xlabel(0(2)20) irf(order2) yline(0,lcolor(black)) byopts(yrescale colfirst) level(95) //Draw impurse response 


//The first column is the impulse response of macro economic and financial indicators to NDP shock



//Change order: Case II (figure A3 in the online appendix)



clear

import excel "D:\WMPs\final\Data and Codes 0815\impulse_data.xlsx", sheet("Sheet1") firstrow

set more off

tset Quarter


matrix A1 = (1,0,0,0,0,0,0\.,1,0,0,0,0,0\.,.,1,0,0,0,0\.,.,.,1,0,0,0\.,.,.,.,1,0,0\.,.,.,.,.,1,0\.,.,.,.,.,.,1)   
matrix B1 = (.,0,0,0,0,0,0\0,.,0,0,0,0,0\0,0,.,0,0,0,0\0,0,0,.,0,0,0\0,0,0,0,.,0,0\0,0,0,0,0,.,0\0,0,0,0,0,0,.)  

svar consumption invest gdp unemp bond_r loan_1y NDP, aeq(A1) beq(B1) lags(1/1) nolog exog(DP TS FR)	//Run a SVAR model 

irf create order3,set(order3,replace) step(20)  //This creats an irf file to save all impulse response 

irf graph sirf, xlabel(0(2)20) irf(order3) yline(0,lcolor(black)) byopts(yrescale colfirst) level(95) //Draw impurse response 


//The first column is the impulse response of macro economic and financial indicators to NDP shock
