
clear all;  % run following codes to get table 6
clc;

data1=xlsread('repdata.xlsx');

% Macroeconomic indicators
gdp=data1(:,1);
consumption=data1(:,2);
unemployment=data1(:,3);
investment=data1(:,4);

%Financing indicators
loan_1y=data1(:,5);
loan_1_5y=data1(:,6);
bond_3m=data1(:,7);
bond_1y=data1(:,8);

%Credit and funding indicators
demand_all=data1(:,9);
demand_L=data1(:,10);
demand_M=data1(:,11);
demand_S=data1(:,12);
wmp_v=data1(:,13);
trustloan=data1(:,14);

%Financial intermediary indicators
lev_b=data1(:,15);
lev_s=data1(:,16);
lev_t=data1(:,17);
roa_b=data1(:,18);
roa_s=data1(:,19);
roa_t=data1(:,20);

%Independent indicators
ndp=data1(:,21);
dp=data1(:,22);
ts=data1(:,23);
fr=data1(:,24);
gz=data1(:,25);
gz_p=data1(:,26);

%Other indicators
spread=data1(:,27);
ndp_iv=data1(:,28);

% Note: Only parts of of variables above are used in the tests of Table 6

%Panel A of Table 6 
% the key independent variable of Panel A is NDP

    yt=gdp;
    
    lag=1;   % lags are pre-determined by the AIC
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

    xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);

    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;    % get adjusted R-square 

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');     % get Newey and West (1987) corrected t-values


 t_nw=coeff./se;

 res1=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];    % get the first column of Panel A of Table 6
 
 
 %%%%%%%%%%%%%%%%
 
    yt=consumption;
    
    lag=1;
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

    xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);

    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');


 t_nw=coeff./se;

 res2=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];
 
 %%%%%%%%%%%%%%%%
 
    yt=unemployment;
    
    lag=1;
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

   xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);

    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');


 t_nw=coeff./se;

 res3=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];
 
 
 
  %%%%%%%%%%%%%%%%
 
    yt=investment;
    
    lag=1;
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

    xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);

    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');


 t_nw=coeff./se;

 res4=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];     

 
 
 
 table_6_A=[res1,res2,res3,res4];    % combine all results to get panel A of table 6
 
 
  
%%%%%%%%%%%%%%%%
   
   
   
%Panel B of Table 6 
 % the key independent variable of Panel B is NDP residual


    yt=gdp;
    
    lag=1;
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

    xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);
    
    % get ndp residual by regress NDP on GZ premium

    gz_lag=gz(lag:size(yt,1)-lag-1+i,1);
    
    resndp1=regstats(xt(:,end),gz_lag);
    
    resndp=resndp1.r+resndp1.beta(1,1);

    xt(:,end)=resndp;
    
    % replace ndp with ndp residual
    
    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;                               % get adjusted R-square 

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');    % get Newey and West (1987) corrected t-values


 t_nw=coeff./se;

 res5=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];            % get the first column of Panel B of Table 6
 
 
 %%%%%%%%%%%%%%%%
 
    yt=consumption;
    
    lag=1;
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

    xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);

    
        % get ndp residual

    gz_lag=gz(lag:size(yt,1)-lag-1+i,1);
    
    resndp1=regstats(xt(:,end),gz_lag);
    
    resndp=resndp1.r+resndp1.beta(1,1);

    xt(:,end)=resndp;
    
    % replace ndp with ndp residual
    
    
    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');


 t_nw=coeff./se;

 res6=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];
 
 %%%%%%%%%%%%%%%%
 
    yt=unemployment;
    
    lag=1;
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

   xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);
    
    
        % get ndp residual

    gz_lag=gz(lag:size(yt,1)-lag-1+i,1);
    
    resndp1=regstats(xt(:,end),gz_lag);
    
    resndp=resndp1.r+resndp1.beta(1,1);

    xt(:,end)=resndp;
    
    % replace ndp with ndp residual

    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');


 t_nw=coeff./se;

 res7=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];
 
 
 
  %%%%%%%%%%%%%%%%
 
    yt=investment;
    
    lag=1;
    
    lagy=[];
    
    for i=1:lag
        
        
     lagy=[lagy,yt(i:size(yt,1)-lag-1+i)];
        
    end
    

    xt=[lagy,[ts(lag:size(yt,1)-lag-1+i,1),fr(lag:size(yt,1)-lag-1+i,1),dp(lag:size(yt,1)-lag-1+i,1),ndp(lag:size(yt,1)-lag-1+i,1)]];

    yt1=yt(lag+1:end,1);
    
    
        % get ndp residual

    gz_lag=gz(lag:size(yt,1)-lag-1+i,1);
    
    resndp1=regstats(xt(:,end),gz_lag);
    
    resndp=resndp1.r+resndp1.beta(1,1);

    xt(:,end)=resndp;
    
    % replace ndp with ndp residual

    xt1=xt;

    sta=regstats(yt1,xt1);

    adjr2=sta.adjrsquare;

    maxLag = floor(4*(35/100)^(2/9));
  
 [~,se,coeff] = hac(xt1,yt1,'bandwidth',maxLag+1,'display','off');


 t_nw=coeff./se;

 res8=[coeff(end-3,1);t_nw(end-3,1);coeff(end-2,1);t_nw(end-2,1);
     coeff(end-1,1);t_nw(end-1,1);coeff(end,1);t_nw(end,1);adjr2];

 
 
 
 table_6_B=[res5,res6,res7,res8];     % combine all results to get panel B of table 6


   