clear // run following codes to get results of table 7

set more off

import excel "D:\WMPs\final\Data and Codes 0815\regional_data.xlsx", sheet("Sheet1") firstrow

// gdp_r --- regional gdp
// ndp_r --- regional ndp
// dp_r --- regional dp
 
xtset region date


gen inter1 = ndp_r*d_invest   // get interaction of ndp and investment
gen inter2 = ndp_r*d_realest  // get interaction of ndp and real estate
gen inter3 = ndp_r*d_nonstate // get interaction of ndp and nonstate bank

gen gdp_L1=L.gdp_r // get lagged regional gdp


xtreg gdp_r ndp_r inter1 dp_r ts fr gdp_L1 i.date ,fe r
est store g1

xtreg gdp_r ndp_r inter2 dp_r ts fr gdp_L1 i.date ,fe r
est store g2

xtreg gdp_r ndp_r inter3 dp_r ts fr gdp_L1 i.date ,fe r
est store g3

esttab g1 g2 g3 using table_7.csv, ar2 brackets append star(* 0.10 ** 0.05 *** 0.01)
